libcoap 4.3.2rc2

Functions
coap_async.h File Reference

State management for asynchronous messages. More...

`#include "coap_net.h"`

Go to the source code of this file.

## Functions
int | coap_async_is_supported (void)
| Returns `1` if libcoap was built with separate messages enabled, `0` otherwise. More...
coap_async_t * | coap_register_async (coap_session_t *session, const coap_pdu_t *request, coap_tick_t delay)
| Allocates a new coap_async_t object and fills its fields according to the given `request`. More...
void | coap_async_set_delay (coap_async_t *async, coap_tick_t delay)
| Update the delay timeout, so changing when the registered `async` triggers. More...
void | coap_async_trigger (coap_async_t *async)
| Trigger the registered `async`. More...
void | coap_free_async (coap_session_t *session, coap_async_t *async)
| Releases the memory that was allocated by coap_register_async() for the object `async`. More...
coap_async_t * | coap_find_async (coap_session_t *session, coap_bin_const_t token)
| Retrieves the object identified by `token` from the list of asynchronous transactions that are registered with `context`. More...
void | coap_async_set_app_data (coap_async_t *async, void *app_data)
| Set the application data pointer held in `async`. More...
void * | coap_async_get_app_data (const coap_async_t *async)
| Gets the application data pointer held in `async`. More...

## Detailed Description

State management for asynchronous messages.

Definition in file coap_async.h.